Package chatapp.View

# Class View_Menu

java.lang.Object
chatapp.View.View_Menu

    public class View_Menu
    extends java.lang.Object

Classe representant la page d'accueil. Elle est composé d'un menu en haut a gauche. Au centre un petit message "Bienvenue" suivi du pseudo de l'utilisateur est affiché.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`javafx.scene.control.MenuItem` | `changerPseudoButton` |
`javafx.scene.control.MenuItem` | `demarrerSessionButton` |
`javafx.scene.text.Text` | `pseudonyme` |
`javafx.scene.control.MenuItem` | `utilsActifsButton` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`View_Menu()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `afficherUtilsActifs​(javafx.event.ActionEvent actionEvent)` | Handler permettant d'aller a la scene View_Utilisateurs pour afficher la liste des utilisateurs actifs
`void` | `changerPseudo​(javafx.event.ActionEvent actionEvent)` | Handler permettant d'aller a la scene View_ChangementPseudo pour changer son pseudonyme
`void` | `deconnexion​(javafx.event.ActionEvent actionEvent)` | Handler permettant de se deconnecter et fermer l'application
`void` | `demarrerSession​(javafx.event.ActionEvent actionEvent)` | Handler permettant d'aller a la scene Demarrer_Session pour choisir un utilisateur avec qui clavarder

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pseudonyme

public javafx.scene.text.Text pseudonyme

### utilsActifsButton

public javafx.scene.control.MenuItem utilsActifsButton

### demarrerSessionButton

public javafx.scene.control.MenuItem demarrerSessionButton

### changerPseudoButton

public javafx.scene.control.MenuItem changerPseudoButton

## Constructor Details

### View_Menu

public View_Menu()

## Method Details

### afficherUtilsActifs

public void afficherUtilsActifs​(javafx.event.ActionEvent actionEvent)

Handler permettant d'aller a la scene View_Utilisateurs pour afficher la liste des utilisateurs actifs

Parameters:
  `actionEvent` - L'utilisateur a choisit l'option afficher utilisateurs actifs dans le menu

### demarrerSession

public void demarrerSession​(javafx.event.ActionEvent actionEvent)

Handler permettant d'aller a la scene Demarrer_Session pour choisir un utilisateur avec qui clavarder

Parameters:
  `actionEvent` - L'utilisateur a choisit l'option de demarrer une session de clavardage dans le menu

### changerPseudo

public void changerPseudo​(javafx.event.ActionEvent actionEvent)

Handler permettant d'aller a la scene View_ChangementPseudo pour changer son pseudonyme

Parameters:
  `actionEvent` - L'utilisateur a choisit l'option changer de pseudo

### deconnexion

public void deconnexion​(javafx.event.ActionEvent actionEvent)

Handler permettant de se deconnecter et fermer l'application

Parameters:
  `actionEvent` - L'utilisateur a choisit l'option Deconnexion dans le menu